# MoveGeocodeError

{% tabs %}
{% tab title="Android" %}

```kotlin
enum class MoveGeocodeError {
    RESOLVE_FAILED,
    SERVICE_UNREACHABLE,
    THRESHOLD_REACHED,
}
```

{% endtab %}

{% tab title="iOS" %}

```swift
enum MoveGeocodeError: Error {
    case resolveFailed
    case thresholdReached
    case serviceUnreachable
}
```

{% endtab %}

{% tab title="Flutter" %}

```dart
import 'package:movesdk/io/dolphin/move/move_geocode_result.dart';// Some code
```

```dart
enum MoveGeocodeError {
    resolveFailed,
    thresholdReached,
    serviceUnreachable,
}
```

{% endtab %}
{% endtabs %}

<table data-header-hidden><thead><tr><th width="211.5"></th><th></th></tr></thead><tbody><tr><td><strong>MoveGeocodeError</strong></td><td></td></tr><tr><td>resolveFailed</td><td>Error indicating that the passed coordinates can't be resolved.</td></tr><tr><td>thresholdReached</td><td>Maximum defined threshold reached. This threshold is not changeable. <strong>Android</strong>: 60 times in 1 hour.</td></tr><tr><td>serviceUnreachable</td><td>Error indicating that MOVE SDK server is unreachable.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.movesdk.com/move-platform/sdk/models/movegeocodeerror.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
